# List Applicant Documents

`GET https://api.agilitycredit.net/v3/applicant-documents`

Docs page: https://apidocs.agilitycredit.com/api/list-applicant-documents · Tag: Documents

This endpoint returns all documents for an applicant.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `limit` | query |  | Number of documents to return - defaults to 10. |
| `cursor` | query |  | Last key from previous query to fetch the next limit documents. |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |
| `Agc-Applicant-Id` | header | yes | Applicant ID - this cannot be empty |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Applicant document request processed successfully | AppDocAllResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
Top-level 200 fields: `items`, `cursor`.

### Error bodies

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
